/**
 * Description: 营销日报页面表单对象
 * Copyright:   Copyright (c)2017
 * Company:     江苏三六五网络股份有限公司
 *
 * @author: 江苏三六五网络股份有限公司
 * @version: 1.0
 * Create at:   2017-07-17 下午 13:27:32
 * <p>
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2017-07-17   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.beans.vo;

import com.house365.beans.entity.ReportMarketingEntity;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * 营销日报页面表单对象<br>
 *
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2017-07-17
 * @see
 * @since 1.0
 */
public class ReportMarketingVo {
    /**
     * 营销日报实体
     */
    @NotNull
    @Valid
    private ReportMarketingEntity entity;

    /**
     * 获取营销日报实体
     *
     * @return 营销日报实体
     */
    public ReportMarketingEntity getEntity() {
        return this.entity;
    }

    /**
     * 设置营销日报实体
     *
     * @param entity 营销日报实体
     */
    public void setEntity(ReportMarketingEntity entity) {
        this.entity = entity;
    }
}