/**
 * Description: 直销人员楼盘推荐数据访问实现类
 * Copyright:   Copyright (c)2018
 * Company:     江苏三六五网络股份有限公司
 *
 * @author: 江苏三六五网络股份有限公司
 * @version: 1.0
 * Create at:   2018-01-22 下午 13:57:27
 * <p>
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2018-01-22   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.ws.dao.impl;

import com.house365.beans.entity.UserProjectRecommendEntity;
import com.house365.dao.system.impl.DefaultDaoImpl;
import com.house365.ws.dao.interfaces.IUserProjectRecommendDao;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 直销人员楼盘推荐数据访问实现类<br>
 *
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2018-01-22
 * @see
 * @since 1.0
 */
@Repository("userProjectRecommendDao")
public class UserProjectRecommendDaoImpl extends DefaultDaoImpl<UserProjectRecommendEntity> implements IUserProjectRecommendDao<UserProjectRecommendEntity> {

    @Override
    public List<UserProjectRecommendEntity> queryByCondition(Map<String, Object> map) {
        return getReadTemplate().queryForList(getStatement(), map);
    }
}
