/**
 * Description: 抢客客户项目关联业务实现类
 * Copyright:   Copyright (c)2017
 * Company:     江苏三六五网络股份有限公司
 *
 * @author: 江苏三六五网络股份有限公司
 * @version: 1.0
 * Create at:   2017-12-26 下午 16:57:26
 * <p>
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2017-12-26   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.ws.service.impl;

import com.house365.beans.entity.RushCustomerProjectRelEntity;
import com.house365.dao.system.interfaces.Dao;
import com.house365.service.system.impl.DefaultServiceImpl;
import com.house365.ws.dao.interfaces.IRushCustomerProjectRelDao;
import com.house365.ws.service.interfaces.IRushCustomerProjectRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 抢客客户项目关联业务实现类<br>
 *
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2017-12-26
 * @see
 * @since 1.0
 */
@Service("rushCustomerProjectRelService")
public class RushCustomerProjectRelServiceImpl<T extends RushCustomerProjectRelEntity> extends DefaultServiceImpl<T> implements IRushCustomerProjectRelService<T> {
    /**
     * 自动注入的数据访问对象
     */
    @Autowired
    private IRushCustomerProjectRelDao<T> rushCustomerProjectRelDao;

    @Override
    protected Dao<T> getDao() {
        return rushCustomerProjectRelDao;
    }
}