/**
 * Description: Project业务接口
 * Copyright:   Copyright (c)2016
 * Company:     江苏三六五网络股份有限公司
 * @author:     江苏三六五网络股份有限公司
 * @version:    1.0
 * Create at:   2016-09-18 上午 10:05:24
 *  
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2016-09-18   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.ws.service.interfaces;

import com.house365.beans.entity.ProjectDynamicEntity;
import com.house365.beans.entity.ProjectEntity;
import com.house365.beans.system.QueryParams;
import com.house365.service.system.Interfaces.Service;

import java.util.List;
import java.util.Map;

/**
 * Project业务接口<br>
 * 
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2016-09-18
 * @see
 * @since 1.0
 */
public interface IProjectService<T extends ProjectEntity> extends Service<T> {
    List<ProjectEntity> queryCustomerProject(Integer customerId);

    void updateHotline(String buildingId, String shorttel);

    void updateSaler();

    List<ProjectEntity> queryByConditions(Map<String,Object> map);

    List<ProjectDynamicEntity> getDynamicList(QueryParams<ProjectDynamicEntity> queryParams);

    List<ProjectEntity> getDynamicById(ProjectDynamicEntity pde);


}
